BillKit/Docs Console
Refunds

Get refund

Retrieve one refund and check whether it has settled.

GET/v1/refunds/{refund_id}
Operation get_refund · Scope refunds:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
refund_idstring · pathrequiredNo description in the spec.

Returns

Returns a RefundResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the refunds:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/refunds/re_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "amount_cents": 1900,
  "created": 1789392000,
  "currency": "EUR",
  "id": "re_9XKp2vQ1",
  "livemode": false,
  "object": "refund",
  "one_shot_payment_id": "osp_9XKp2vQ1",
  "payment_id": "pay_9XKp2vQ1",
  "reason": "string",
  "status": "string",
  "subscription_id": "sub_9XKp2vQ1"
}